﻿<Diff SourceHashcode="9f8a40f70f43741805e7d0f892fef156" DestinationHashcode="ea9e7b8b037c53792f3f4dc774f3c1a2" Version="1.0">
  <AddAttribute Id="Position:1" Name="Description" Value="bel.ablaufdatum" />
  <AddElement Order="45" ParentId="Id:f636833f-Columns" PreviousId="Id:e6fa1324"><Column Id="e1de3efe" IsNullable="True" Name="ablaufdatum" Type="System.DateTime" /></AddElement>
  <ChangeElement Id="Id:f636833f/Position:3/Position:1/Position:1">
          SELECT bel.pers_typ, bel.pers_nr, bel.datum, bel.adr1name1, bel.druckstatus,  bel.belegart, bel.art
          , bel.kunden_ab_datum, bel.kunden_ab_nr, bel.kd_wunschtermin, bel.waehrg_kz, bel.werk_nr,
          bel.lager_nr AS bel_lager, bel.lager2_nr
          , pers.name1 AS pers_name1, pers.suchwort AS pers_suchwort,bel.summenetto
          , belpos.bel_typ, belpos.bel_nr, belpos.posnr, belpos.art_nr, belpos.bez1, belpos.menge, belpos.uebernommen, belpos.zendpreis, belpos.pos_typ, belpos.status AS belpos_status, belpos.zendpreis, belpos.lager_nr, bel.status AS bel_status, belpos.stat_endpreis_ew, belpos.la_dispo_art, belpos.menge_me, me.bez AS me_bez
          , (IF belpos.menge - belpos.uebernommen &lt; 0 THEN 0 ELSE belpos.menge - belpos.uebernommen ENDIF) AS belpos_opens
          , (IF bel.typ IN ( 2, 6, 8, 9) THEN belpos.dispo_datum ELSE bel.datum ENDIF) AS dispo_datum
          , (IF bel.typ IN ( 2, 6, 8, 9) THEN belpos.dispo_kw ELSE f_calc_kw(bel.datum) ENDIF) AS dispo_kw
          , (IF bel.typ IN ( 2, 6, 8, 9) THEN belpos.dispo_jahr ELSE f_calc_kwjahr(bel.datum) ENDIF) AS dispo_jahr
          , IF (belpos.la_dispo_art = 0)
          THEN string(dispo_jahr) || '/' || substr(string(dispo_kw + 100),2,2)
          ELSE Convert(char(12), dispo_datum , 104)
          ENDIF AS dispo_termin
          , (IF belpos.uebernommen_abw IS NULL OR belpos.uebernommen_abw = 0 THEN belpos.uebernommen ELSE belpos.uebernommen_abw ENDIF) AS belposuebernommen
          , art.bez1 AS art_bez1, art.suchwort AS art_suchwort
          , COALESCE (belpos.projekt_id, bel.projekt_id) AS cf_projekt_id
          , COALESCE(belpos.kd_wunschtermin, bel.kd_wunschtermin) AS cf_wunschtermin
		  , bel.wfl_status_id
		  
		  , bel.ablaufdatum
		  
          FROM bel LEFT JOIN pers ON (bel.pers_typ = pers.typ AND bel.pers_nr = pers.nr)
          LEFT JOIN belpos ON (bel.typ = belpos.bel_typ AND bel.nr = belpos.bel_nr)
          LEFT JOIN art ON belpos.art_nr = art.artnr
          LEFT JOIN default_typ ON (default_typ.modus = 'bel' AND bel.typ = default_typ.typ)
          LEFT JOIN me ON (belpos.me_nr = me.nr)
          WHERE
           bel.datum &gt;= :start AND bel.datum &lt;= :end
          AND belpos.posnr &gt; 0
          ORDER BY  bel.datum, belpos.bel_typ, belpos.bel_nr, belpos.posnr
        </ChangeElement>
</Diff>